Bug 588345 - move mysql, postgresql and virtuoso plugins into subpackages to minimise dependencies
move mysql, postgresql and virtuoso plugins into subpackages to minimise depe...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redland (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2010-05-03 10:14 EDT by Peter Robinson
Modified: 2010-06-09 22:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-08 07:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2010-05-03 10:14:25 EDT
redland pulls in mysql-libs and postgresql-libs and associated deps. This adds extra requirements to spins that are trying to stay small while providing maximum media coverage by including gstreamer-plugins-bad-free.

Please split out the mysql and postgresql storage plugins into separate sub packages as they aren't required for using redland in its default configuration.
Comment 1 Orcan Ogetbil 2010-05-08 06:08:38 EDT
There are 

%{_libdir}/redland/librdf_storage_mysql.so
%{_libdir}/redland/librdf_storage_postgresql.so
%{_libdir}/redland/librdf_storage_sqlite.so
%{_libdir}/redland/librdf_storage_virtuoso.so

Do we need to split all, or just librdf_storage_mysql.so and librdf_storage_postgresql.so ?
Comment 2 Peter Robinson 2010-05-08 06:14:41 EDT
Just

%{_libdir}/redland/librdf_storage_mysql.so
%{_libdir}/redland/librdf_storage_postgresql.so

Into a -mysql and -pgsql subpackage.
Comment 3 Orcan Ogetbil 2010-05-08 07:50:06 EDT
I made the split in rawhide:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=2173908

Closing.
Comment 4 Peter Robinson 2010-06-08 14:28:08 EDT
Having looked at other deps that this pulls in I'm not sure if its possible to also split out the iodbc and rasqal support into sub packages too.
Comment 5 Orcan Ogetbil 2010-06-08 14:56:45 EDT
iodbc can be split out as it is only needed by the virtuoso plugin. Should I split it?

rasqal, however, cannot be easily separated as it is needed internally by the redland library. What dependencies get pulled in from the rasqal side that you don't want?
Comment 6 Peter Robinson 2010-06-08 15:15:53 EDT
(In reply to comment #5)
> iodbc can be split out as it is only needed by the virtuoso plugin. Should I
> split it?

Yes please :-)

> rasqal, however, cannot be easily separated as it is needed internally by the
> redland library. What dependencies get pulled in from the rasqal side that you
> don't want?    

It its needed don't worry about it. Its about minimising the deps where possible, but not unnecessarily so it breaks things as well. Basically trying to make installs as small as possible for devices like the XO-1 as well as say a phone or tablet device :-)
Comment 7 Orcan Ogetbil 2010-06-09 22:27:29 EDT
Alright, the virtuoso plugin is split into a subpackage in rawhide (F-14).

Now there is only the sqlite plugin left in the main package.

Note You need to log in before you can comment on or make changes to this bug.